# Interface methods for submodule: GaussianImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ParametricImageSourceProxy as _ParametricImageSourceProxy


# Interface methods for class: GaussianImageSource
class GaussianImageSourceProxy(_ParametricImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetScale(self, _arg: float) -> None:
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def SetNormalized(self, _arg: bool) -> None:
		""""""
		...

	def GetNormalized(self) -> bool:
		""""""
		...

	def NormalizedOn(self) -> None:
		""""""
		...

	def NormalizedOff(self) -> None:
		""""""
		...

	def SetSigma(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetSigma(self) -> Sequence[float]:
		""""""
		...

	def SetMean(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetMean(self) -> Sequence[float]:
		""""""
		...

	def SetParameters(self, parameters: Sequence[float]) -> None:
		""""""
		...

	def GetParameters(self) -> Sequence[float]:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

